#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	# Do not build with autoreconf, see https://github.com/michaelrsweet/pappl/pull/126
	dh $@ --without autoreconf

override_dh_auto_configure:
	# Add LDFLAGS in DSOFLAGS, as that's what PAPPL uses for linking
	dh_auto_configure -- \
		--with-dsoflags="$(LDFLAGS)"

execute_before_dh_auto_clean:
	# Makedefs doesn't exist in repository/tarball; pretend it does
	touch Makedefs

execute_before_dh_auto_configure:
	# Verbose builds
	sed '/.SILENT/d' -i Makedefs.*
